package com.ruoyi.web.modules.industryservice.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 牦牛生理时序 biz_yak_physio_series
 */
public class BizYakPhysioSeries
{
    private Long id;

    private Long yakAssetId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    private BigDecimal bodyTemp;

    private Integer steps;

    private BigDecimal envTemp;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getYakAssetId()
    {
        return yakAssetId;
    }

    public void setYakAssetId(Long yakAssetId)
    {
        this.yakAssetId = yakAssetId;
    }

    public Date getCollectTime()
    {
        return collectTime;
    }

    public void setCollectTime(Date collectTime)
    {
        this.collectTime = collectTime;
    }

    public BigDecimal getBodyTemp()
    {
        return bodyTemp;
    }

    public void setBodyTemp(BigDecimal bodyTemp)
    {
        this.bodyTemp = bodyTemp;
    }

    public Integer getSteps()
    {
        return steps;
    }

    public void setSteps(Integer steps)
    {
        this.steps = steps;
    }

    public BigDecimal getEnvTemp()
    {
        return envTemp;
    }

    public void setEnvTemp(BigDecimal envTemp)
    {
        this.envTemp = envTemp;
    }
}
